Bug 110544 - [CI][BAT] igt@gem_workarounds@.*- fail - Failed assertion: workaround_fail_count(fd, ctx) == 0
Summary: [CI][BAT] igt@gem_workarounds@.*- fail - Failed assertion: workaround_fail_co...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: highest normal
Assignee: Radhakrishna Sripada
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-29 06:56 UTC by Lakshmi
Modified: 2019-05-29 10:30 UTC (History)
2 users (show)

See Also:
i915 platform: BXT, CFL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-04-29 06:56:55 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4967/fi-cml-u/igt@gem_workarounds@basic-read.html

Starting subtest: basic-read
(gem_workarounds:2756) WARNING: 0x07300	0x80308030	0x00008030	0x00000000	FAIL
(gem_workarounds:2756) WARNING: 0x0E100	0x00100010	0x00000010	0x00000000	FAIL
(gem_workarounds:2756) WARNING: 0x0E180	0x20002000	0x00002000	0x00000000	FAIL
(gem_workarounds:2756) WARNING: 0x0E184	0x00020002	0x00000002	0x00000000	FAIL
(gem_workarounds:2756) WARNING: 0x0E194	0x01140114	0x00000114	0x00000000	FAIL
(gem_workarounds:2756) WARNING: 0x0E4F0	0x81008100	0x00008100	0x00000000	FAIL
(gem_workarounds:2756) CRITICAL: Test assertion failure function check_workarounds, file ../tests/i915/gem_workarounds.c:191:
(gem_workarounds:2756) CRITICAL: Failed assertion: workaround_fail_count(fd, ctx) == 0
(gem_workarounds:2756) CRITICAL: error: 6 != 0
Subtest basic-read failed.
**** DEBUG ****
(gem_workarounds:2756) ioctl_wrappers-DEBUG: Test requirement passed: __gem_set_caching(fd, handle, caching) == 0
(gem_workarounds:2756) DEBUG: Address	val		mask		read		result
(gem_workarounds:2756) DEBUG: 0x02580	0x00070004	0x00000007	0x00000004	OK
(gem_workarounds:2756) DEBUG: 0x07004	0x00420042	0x00000042	0x000029C2	OK
(gem_workarounds:2756) DEBUG: 0x07014	0x21002100	0x00002100	0x00002100	OK
(gem_workarounds:2756) WARNING: 0x07300	0x80308030	0x00008030	0x00000000	FAIL
(gem_workarounds:2756) WARNING: 0x0E100	0x00100010	0x00000010	0x00000000	FAIL
(gem_workarounds:2756) WARNING: 0x0E180	0x20002000	0x00002000	0x00000000	FAIL
(gem_workarounds:2756) WARNING: 0x0E184	0x00020002	0x00000002	0x00000000	FAIL
(gem_workarounds:2756) DEBUG: 0x0E188	0x00080000	0x00000008	0x00000000	OK
(gem_workarounds:2756) WARNING: 0x0E194	0x01140114	0x00000114	0x00000000	FAIL
(gem_workarounds:2756) WARNING: 0x0E4F0	0x81008100	0x00008100	0x00000000	FAIL
(gem_workarounds:2756) CRITICAL: Test assertion failure function check_workarounds, file ../tests/i915/gem_workarounds.c:191:
(gem_workarounds:2756) CRITICAL: Failed assertion: workaround_fail_count(fd, ctx) == 0
(gem_workarounds:2756) CRITICAL: error: 6 != 0
(gem_workarounds:2756) igt_core-INFO: Stack trace:
(gem_workarounds:2756) igt_core-INFO:   #0 ../lib/igt_core.c:1476 __igt_fail_assert()
(gem_workarounds:2756) igt_core-INFO:   #1 ../tests/i915/gem_workarounds.c:193 check_workarounds()
(gem_workarounds:2756) igt_core-INFO:   #2 ../tests/i915/gem_workarounds.c:299 __real_main223()
(gem_workarounds:2756) igt_core-INFO:   #3 ../tests/i915/gem_workarounds.c:223 main()
(gem_workarounds:2756) igt_core-INFO:   #4 ../csu/libc-start.c:344 __libc_start_main()
(gem_workarounds:2756) igt_core-INFO:   #5 [_start+0x2a]
****  END  ****
Subtest basic-read: FAIL (0.047s)
Comment 1 CI Bug Log 2019-04-29 06:57:34 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* CML: igt@gem_workarounds@.*- fail - Failed assertion: workaround_fail_count(fd, ctx) == 0
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6003/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4211/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2928/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4967/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6006/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2930/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6007/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6004/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4968/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2929/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4212/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2931/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2927/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12885/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12886/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4214/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2919/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4216/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/TrybotIGT_6/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12887/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4213/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12889/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@gem_workarounds@reset-context.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@gem_workarounds@basic-read-fd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@gem_workarounds@suspend-resume.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@gem_workarounds@suspend-resume-fd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@gem_workarounds@basic-read-context.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@gem_workarounds@suspend-resume-context.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_267/fi-cml-u/igt@gem_workarounds@reset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4220/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4222/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6009/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_268/fi-cml-u/igt@gem_workarounds@reset-context.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_268/fi-cml-u/igt@gem_workarounds@basic-read-fd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_268/fi-cml-u/igt@gem_workarounds@suspend-resume.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_268/fi-cml-u/igt@gem_workarounds@suspend-resume-fd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_268/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_268/fi-cml-u/igt@gem_workarounds@basic-read-context.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_268/fi-cml-u/igt@gem_workarounds@reset-fd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_268/fi-cml-u/igt@gem_workarounds@suspend-resume-context.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_268/fi-cml-u/igt@gem_workarounds@reset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6010/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6008/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_269/fi-cml-u/igt@gem_workarounds@reset-context.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_269/fi-cml-u/igt@gem_workarounds@basic-read-fd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_269/fi-cml-u/igt@gem_workarounds@suspend-resume.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_269/fi-cml-u/igt@gem_workarounds@suspend-resume-fd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_269/fi-cml-u/igt@gem_workarounds@basic-read.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_269/fi-cml-u/igt@gem_workarounds@basic-read-context.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_269/fi-cml-u/igt@gem_workarounds@reset-fd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_269/fi-cml-u/igt@gem_workarounds@suspend-resume-context.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_269/fi-cml-u/igt@gem_workarounds@reset.html
Comment 2 CI Bug Log 2019-05-15 05:35:30 UTC
A CI Bug Log filter associated to this bug has been updated:

{- CML: igt@gem_workarounds@.*- fail - Failed assertion: workaround_fail_count(fd, ctx) == 0 -}
{+ APL CML: igt@gem_workarounds@.*- fail - Failed assertion: workaround_fail_count(fd, ctx) == 0 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_284/fi-apl-guc/igt@gem_workarounds@suspend-resume-context.html
Comment 3 Lakshmi 2019-05-15 05:38:19 UTC
(In reply to CI Bug Log from comment #2)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- CML: igt@gem_workarounds@.*- fail - Failed assertion:
> workaround_fail_count(fd, ctx) == 0 -}
> {+ APL CML: igt@gem_workarounds@.*- fail - Failed assertion:
> workaround_fail_count(fd, ctx) == 0 +}
> 
> New failures caught by the filter:
> 
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_284/fi-apl-guc/
> igt@gem_workarounds@suspend-resume-context.html

Also seen on APL.  If this failure is different from the original bug, I will create a new bug for this failure.
Comment 4 Chris Wilson 2019-05-24 20:41:43 UTC
Note since we have added basic checks to selftests_workarouds:

commit fde938867b92607d1108fa42cf7fbfcbab8457c8
Author: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
Date:   Mon May 20 15:25:46 2019 +0100

    drm/i915/selftests: Verify context workarounds

which is not picking up this error. The difference is inside the kernel, we dothe SRM from the ring (privileged) and inside gem_workarounds as unprivileged. This strongly suggests a change in the HW validator is no-oping the unprivileged SRM? Worth asking.
Comment 5 Chris Wilson 2019-05-28 11:52:24 UTC
Poking directly https://patchwork.freedesktop.org/patch/306912/?series=61140&rev=1 shows that the registers are being set while the context is running; and since we test from the ring in selftests, we can conclude that is the non-privileged SRM that are being filtered and not a failure in our setting the regs.
Comment 6 Radhakrishna Sripada 2019-05-29 00:37:40 UTC
@Chris: Does that cause the failure on systems with APL-guc?
Comment 7 Chris Wilson 2019-05-29 10:30:36 UTC
commit f414756be2ac57e194919973da7b86644ba61241 (HEAD, upstream/master)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat May 25 08:04:53 2019 +0100

    i915/gem_workarounds: Verify regs directly
    
    It seems like the HW validator is getting better at preventing our
    snooping of system registers from non-privileged batches! If we can't
    use SRM, let's probe the register directly through mmio, making sure we
    have the context spinning on the GPU first.
    
    v2: Hold forcewake just in case the spinning batch isn't enough to
    justify our register access.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=110544
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Matthew Auld <matthew.william.auld@gmail.com>
    Reviewed-by: Matthew Auld <matthew.william.auld@gmail.com>
    Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>

with the possible side-effect that we catch some latent bugs...


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.